#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main(){
	int n, q, pom, pom1;
	cin>>n>>q;
	vector<int> ocene;
	vector<int> medijana;
	for(int i=0; i<n; i++){
		int br;
		cin>>br;
		ocene.push_back(br);
	}for(int i=0; i<q; i++){
		int br2;
		cin>>br2;
		medijana.push_back(br2);
	}
	int medijanabr, pozmedijana;
	sort(ocene.begin(), ocene.end());
	if(n%2==0){
		medijanabr=ocene[n/2+1];
		pozmedijana=n/2+1;
	}else{
		medijanabr=ocene[(n+1)/2];
		pozmedijana=(n+1)/2;
	}
	for(int i=0; i<q; i++){
		if(ocene[n-1]<medijana[i]){
			cout << n << endl;
		}if(ocene[n-1]>medijana[i] && medijana[i]>medijanabr){
			if(binary_search(ocene.begin(), ocene.end(), medijana[i])){
				for(int j=0; j<n; j++){
					if(ocene[j]==medijana[i]){
						pom=j;		
					}
				}
				cout << n-1-pozmedijana-1<< endl;
			}
			else{
				ocene.push_back(medijana[i]);
				sort(ocene.begin(), ocene.end());
				for(int g=0; g<=n; g++){
					if(ocene[g]==medijana[i]){
						pom1=g;
					}
				}
				cout << n-pozmedijana-1 << endl;
			}
		}if(medijana[i]=medijanabr){
			cout << 0 << endl;
		}
	}
}